- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# CMagicFlower Class Reference

Magic flowers add special bonus to turtle gun. More...

`#include <MagicFlower.h>`

Collaboration diagram for CMagicFlower:

[legend]

List of all members.

## Public Member Functions
| CMagicFlower ()
| Standard constructor.
| ~CMagicFlower ()
| Standard destructor.
bool | Load (HWND hWnd, LPDIRECT3DDEVICE9 pd3dDevice, WCHAR *strFilePath, WCHAR *strFileName, D3DCOLOR color)
| Loads static flower model and particle flame.
void | OnLostDevice ()
| Its important to call this function BEFORE device is reset, like when switching to/from fullscreen mode.
void | OnResetDevice (LPDIRECT3DDEVICE9 pd3dDevice)
| Its important to call this function AFTER device is reset, like when switching to/from fullscreen mode.
void | OnRender (LPDIRECT3DDEVICE9 pd3dDevice)
| Render function renders static flower model.
void | OnFrameMove (LPDIRECT3DDEVICE9 pd3dDevice, float elapsed)
| Move function rotates flower model to the left and right. It also animates particle flame.

## Detailed Description

Magic flowers add special bonus to turtle gun.

Magic flowers are static models with particle flame above them.

Author:
  Petar Bajic

Date:
  January, 16 2007.

## Constructor & Destructor Documentation

CMagicFlower::CMagicFlower | ( |  | ) |

Standard constructor.

Author:
  Petar Bajic

Date:
  January, 16 2007.

CMagicFlower::~CMagicFlower | ( |  | ) |

Standard destructor.

Author:
  Petar Bajic

Date:
  January, 16 2007.

## Member Function Documentation

bool CMagicFlower::Load | ( | HWND | hWnd,
|  | LPDIRECT3DDEVICE9 | pd3dDevice,
|  | WCHAR * | strFilePath,
|  | WCHAR * | strFileName,
|  | D3DCOLOR | color |
| ) |  |  |

Loads static flower model and particle flame.

Parameters:

  | color | - color of magic flame above flower

Author:
  Petar Bajic

Date:
  January, 16 2007.

void CMagicFlower::OnLostDevice | ( |  | ) |

Its important to call this function BEFORE device is reset, like when switching to/from fullscreen mode.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void CMagicFlower::OnResetDevice | ( | LPDIRECT3DDEVICE9 | pd3dDevice | ) |

Its important to call this function AFTER device is reset, like when switching to/from fullscreen mode.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void CMagicFlower::OnRender | ( | LPDIRECT3DDEVICE9 | pd3dDevice | ) |

Render function renders static flower model.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void CMagicFlower::OnFrameMove | ( | LPDIRECT3DDEVICE9 | pd3dDevice,
|  | float | elapsed |
| ) |  |  |

Move function rotates flower model to the left and right. It also animates particle flame.

Author:
  Petar Bajic

Date:
  January, 16 2007.

The documentation for this class was generated from the following files:

- My Documents/TS2/inc/MagicFlower.h
- My Documents/TS2/src/MagicFlower.cpp